package com.zcloud.primeport.api;

import com.zcloud.primeport.dto.EVehicleArrivalDepartureInfoAddCmd;
import com.zcloud.primeport.dto.EVehicleArrivalDepartureInfoPageQry;
import com.zcloud.primeport.dto.EVehicleArrivalDepartureInfoUpdateCmd;
import com.zcloud.primeport.dto.clientobject.EVehicleArrivalDepartureInfoCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author dearLin
 * @Date 2026-05-27 17:45:44
 */
public interface EVehicleArrivalDepartureInfoServiceI {
    EVehicleArrivalDepartureInfoCO queryById(Long id);

    PageResponse<EVehicleArrivalDepartureInfoCO> listPage(EVehicleArrivalDepartureInfoPageQry qry);

    SingleResponse<EVehicleArrivalDepartureInfoCO> add(EVehicleArrivalDepartureInfoAddCmd cmd);

    void edit(EVehicleArrivalDepartureInfoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(List<Long> ids);
}

